from django.shortcuts import render

# Create your views here.
from django.shortcuts import render
from .models import *
from att.views import *
from config.views import *

def getAMP(amministratore=None):
  amm=None
  print('getAMP',amministratore)
  if isinstance(amministratore,Amministratore):
    print('si tratta di una istanza, quindi possiamo direttamente accedere')
    amm = amministratore
  if isinstance(amministratore,int):
    print('si tratta di un int, quindi dobbiamo cercare il valore')
    amm = Amministratore.objects.get(pk=amministratore)

  permessi = list()
  for p in amm.amp_set.all():
    permessi.append(p.permesso.nome)

  print('permessi disponibili',len(permessi))
  #for i in permessi: print(i,)
  return permessi

def getAZP(azienda=None,amministratore=None):
  amm=None
  print('getAMP',amministratore)
  if isinstance(amministratore,Amministratore):
    print('si tratta di una istanza, quindi possiamo direttamente accedere')
    amm = amministratore
  if isinstance(amministratore,int):
    print('si tratta di un int, quindi dobbiamo cercare il valore')
    amm = Amministratore.objects.get(pk=amministratore)

  if not amm:
    return []
  permessi = list()
  for p in amm.amp_set.filter(amministratore=amm):
    permessi.append(p.permesso.nome)

  print('permessi disponibili',len(permessi))
  #for i in permessi: print(i,)
  return permessi

def getSEP(sede=None,amministratore=None):
  sed=None
  amm=None
  print('getSEP',sede,amministratore)

  if isinstance(sede,Sede):
    print('si tratta di una istanza dede')
    sed=sede

  if isinstance(sede,int):
    print('sede: istanza int')
    sed = Sede.objects.get(pk=sede)

  if isinstance(amministratore,Amministratore):
    print('si tratta di una istanza amministratore, quindi possiamo direttamente accedere')
    amm = amministratore

  if isinstance(amministratore,int):
    print('si tratta di un int, quindi dobbiamo cercare il valore')
    amm = Amministratore.objects.get(pk=amministratore)

  if not sed:
     return []
  permessi = list()

  for p in sed.sep_set.all().filter(amministratore=amm):
    permessi.append(p.permesso.nome)

  print('permessi disponibili',len(permessi))
  #for i in permessi: print(i,)
  return permessi

